BST(1)

NAME
bst - Build and manipulate BuildStream projects...

SYNOPSIS
bst [OPTIONS] COMMAND [ARGS]...

DESCRIPTION
Build and manipulate BuildStream projects Most of the main options override options in the user preferences configuration file.

OPTIONS

--version
    Show the version and exit.

-c, --config PATH
    Configuration file to use

-C, --directory DIRECTORY
    Project directory (default: current directory)

--on-error [continue|quit|terminate]
    What to do when an error is encountered

--fetchers INTEGER
    Maximum simultaneous download tasks

--builders INTEGER
    Maximum simultaneous build tasks

--pushers INTEGER
    Maximum simultaneous upload tasks

--network-retries INTEGER
    Maximum retries for network tasks

--no-interactive
    Force non interactive mode, otherwise this is automatically decided

--verbose / --no-verbose
    Be extra verbose

--debug / --no-debug
    Print debugging output

--error-lines INTEGER
    Maximum number of lines to show from a task log

--message-lines INTEGER
    Maximum number of lines to show in a detailed message

--log-file FILENAME
    A file to store the main log (allows storing the main log while in interactive mode)

--colors / --no-colors
    Force enable/disable ANSI color codes in output

-a, --arch TEXT
    Machine architecture (default: x86_64)

--host-arch TEXT
    Machine architecture for the sandbox (defaults to --arch)

--target-arch TEXT
    Machine architecture for build output (defaults to --arch)

--strict / --no-strict
    Elements must be rebuilt when their dependencies have changed

COMMANDS

build
  Build elements in a pipeline
  See bst-build(1) for full documentation on the build command.

shell
  Shell into an element's sandbox environment
  See bst-shell(1) for full documentation on the shell command.

checkout
  Checkout a built artifact
  See bst-checkout(1) for full documentation on the checkout command.

fetch
  Fetch sources in a pipeline
  See bst-fetch(1) for full documentation on the fetch command.

workspace
  Manipulate developer workspaces
  See bst-workspace(1) for full documentation on the workspace command.

pull
  Pull a built artifact
  See bst-pull(1) for full documentation on the pull command.

show
  Show elements in the pipeline
  See bst-show(1) for full documentation on the show command.

source-bundle
  Produce a build bundle to be manually executed
  See bst-source-bundle(1) for full documentation on the source-bundle command.

push
  Push a built artifact
  See bst-push(1) for full documentation on the push command.

track
  Track new source references
  See bst-track(1) for full documentation on the track command.